Subject: [Roll] [roll] #36: Feedback from ZigBee interop event

From: "roll issue tracker" <[email-masked]>
Date: Fri, 14 May 2010 09:26:19 -0000

#36: Feedback from ZigBee interop event
--------------------------------+-------------------------------------------
 Reporter:  jpv@…               |       Owner:  pthubert@…                        
     Type:  defect              |      Status:  new                               
 Priority:  major               |   Milestone:                                    
Component:  rpl                 |     Version:                                    
 Severity:  Active WG Document  |    Keywords:                                    
--------------------------------+-------------------------------------------
 Hi,

 I would like to share some feedback from the recent interop event held by
 the ZigBee Alliance that was attended by several 802.15.4 platform
 vendors. At this event, the main focus was on testing TCP, RPL and 6lowpan
 protocols.

 For the RPL protocol, the DAG formation and data transmission "up" towards
 the root were tested successfully among the various platforms. In addition
 to the feedback on the exiting spec ( see below ), the main request is to
 ensure the spec is quickly updated with the routing/forwarding for
 "downwards" paths so we can move forward with our testing.

 -Regards, Joseph

 1. Need clarification on the Rank and DagRank. The root rank has value of
 1 but not clear if that is just the integer part or not.

 2. In OF0, the values for minRankIncrease and maxRankIncrease take value
 of 256 which cannot be represented in the DoDAG config suboption ( which
 allows only 1 byte ). This needs to be fixed in the spec. Also, re-
 consider if we really need fractional part in the rank, it doesn’t seem to
 be very useful.

 3. Clarify the IP source address for DIS/DAO packets - should this be the
 link local or global address ( or either ) ?

 4. Need clarification on flowlabel. Currently it is not possible to
 implement as defined ( without layer violations ) since a node will need
 to know if the next hop is the final destination and if the previous hop
 was the originator of the packet…..current implementations have removed
 flow label validation

 5. Need clarification on the use of the destination prefix. How many of
 them can be included in a DIO ? Is this intended to be the prefix of the
 6lowpan or is this a prefix that can be reached by the root node ( on the
 wired side ) ?

 6. Does RPL intend to define messages to allow neighboring nodes to
 exchange bidirectional link quality estimates between themselves ?

-- 
Ticket URL: <http://trac.tools.ietf.org/wg/roll/trac/ticket/36>
roll <http://tools.ietf.org/wg/roll/>